DescriptorProtos.DescriptorProto.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.DescriptorProto.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>
      - - com.google.protobuf.DescriptorProtos.DescriptorProto.Builder

- All Implemented Interfaces:
    DescriptorProtos.DescriptorProtoOrBuilder, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.DescriptorProto

      public static final class DescriptorProtos.DescriptorProto.Builder
      extends GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>
      implements DescriptorProtos.DescriptorProtoOrBuilder

       Describes a message type.

  Protobuf type `google.protobuf.DescriptorProto`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.DescriptorProto.Builder` | `addAllEnumType(java.lang.Iterable<? extends DescriptorProtos.EnumDescriptorProto> values)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `addAllExtension(java.lang.Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `addAllExtensionRange(java.lang.Iterable<? extends DescriptorProtos.DescriptorProto.ExtensionRange> values)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `addAllField(java.lang.Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `addAllNestedType(java.lang.Iterable<? extends DescriptorProtos.DescriptorProto> values)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `addAllOneofDecl(java.lang.Iterable<? extends DescriptorProtos.OneofDescriptorProto> values)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `addAllReservedName(java.lang.Iterable<java.lang.String> values)` Reserved field names, which may not be used by fields in the same message.
    `DescriptorProtos.DescriptorProto.Builder` | `addAllReservedRange(java.lang.Iterable<? extends DescriptorProtos.DescriptorProto.ReservedRange> values)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.Builder` | `addEnumType(DescriptorProtos.EnumDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `addEnumType(DescriptorProtos.EnumDescriptorProto value)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `addEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `addEnumType(int index, DescriptorProtos.EnumDescriptorProto value)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addEnumTypeBuilder()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addEnumTypeBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `addExtension(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `addExtension(DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `addExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `addExtension(int index, DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `addExtensionBuilder()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `addExtensionBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `addExtensionRange(DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `addExtensionRange(DescriptorProtos.DescriptorProto.ExtensionRange value)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `addExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `addExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange value)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.ExtensionRange.Builder` | `addExtensionRangeBuilder()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.ExtensionRange.Builder` | `addExtensionRangeBuilder(int index)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `addField(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `addField(DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `addField(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `addField(int index, DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `addFieldBuilder()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `addFieldBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `addNestedType(DescriptorProtos.DescriptorProto.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `addNestedType(DescriptorProtos.DescriptorProto value)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `addNestedType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `addNestedType(int index, DescriptorProtos.DescriptorProto value)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `addNestedTypeBuilder()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `addNestedTypeBuilder(int index)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `addOneofDecl(DescriptorProtos.OneofDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `addOneofDecl(DescriptorProtos.OneofDescriptorProto value)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `addOneofDecl(int index, DescriptorProtos.OneofDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `addOneofDecl(int index, DescriptorProtos.OneofDescriptorProto value)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.OneofDescriptorProto.Builder` | `addOneofDeclBuilder()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.OneofDescriptorProto.Builder` | `addOneofDeclBuilder(int index)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.DescriptorProto.Builder` | `addReservedName(java.lang.String value)` Reserved field names, which may not be used by fields in the same message.
    `DescriptorProtos.DescriptorProto.Builder` | `addReservedNameBytes(ByteString value)` Reserved field names, which may not be used by fields in the same message.
    `DescriptorProtos.DescriptorProto.Builder` | `addReservedRange(DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.Builder` | `addReservedRange(DescriptorProtos.DescriptorProto.ReservedRange value)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.Builder` | `addReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.Builder` | `addReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange value)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.ReservedRange.Builder` | `addReservedRangeBuilder()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.ReservedRange.Builder` | `addReservedRangeBuilder(int index)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.DescriptorProto` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.DescriptorProto.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.DescriptorProto.Builder` | `clearEnumType()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `clearExtension()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `clearExtensionRange()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `clearField()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.DescriptorProto.Builder` | `clearName()` `optional string name = 1;`
    `DescriptorProtos.DescriptorProto.Builder` | `clearNestedType()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.DescriptorProto.Builder` | `clearOneofDecl()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `clearOptions()` `optional .google.protobuf.MessageOptions options = 7;`
    `DescriptorProtos.DescriptorProto.Builder` | `clearReservedName()` Reserved field names, which may not be used by fields in the same message.
    `DescriptorProtos.DescriptorProto.Builder` | `clearReservedRange()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.Builder` | `clone()` Clones the Builder.
    `DescriptorProtos.DescriptorProto` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `DescriptorProtos.EnumDescriptorProto` | `getEnumType(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `getEnumTypeBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `java.util.List<DescriptorProtos.EnumDescriptorProto.Builder>` | `getEnumTypeBuilderList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `int` | `getEnumTypeCount()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `java.util.List<DescriptorProtos.EnumDescriptorProto>` | `getEnumTypeList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.EnumDescriptorProtoOrBuilder` | `getEnumTypeOrBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>` | `getEnumTypeOrBuilderList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.FieldDescriptorProto` | `getExtension(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `getExtensionBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto.Builder>` | `getExtensionBuilderList()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `int` | `getExtensionCount()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto>` | `getExtensionList()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.FieldDescriptorProtoOrBuilder` | `getExtensionOrBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>` | `getExtensionOrBuilderList()` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.ExtensionRange` | `getExtensionRange(int index)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.ExtensionRange.Builder` | `getExtensionRangeBuilder(int index)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `java.util.List<DescriptorProtos.DescriptorProto.ExtensionRange.Builder>` | `getExtensionRangeBuilderList()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `int` | `getExtensionRangeCount()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `java.util.List<DescriptorProtos.DescriptorProto.ExtensionRange>` | `getExtensionRangeList()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder` | `getExtensionRangeOrBuilder(int index)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `java.util.List<? extends DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder>` | `getExtensionRangeOrBuilderList()` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.FieldDescriptorProto` | `getField(int index)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `getFieldBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto.Builder>` | `getFieldBuilderList()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `int` | `getFieldCount()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto>` | `getFieldList()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.FieldDescriptorProtoOrBuilder` | `getFieldOrBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>` | `getFieldOrBuilderList()` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `java.lang.String` | `getName()` `optional string name = 1;`
    `ByteString` | `getNameBytes()` `optional string name = 1;`
    `DescriptorProtos.DescriptorProto` | `getNestedType(int index)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `getNestedTypeBuilder(int index)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `java.util.List<DescriptorProtos.DescriptorProto.Builder>` | `getNestedTypeBuilderList()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `int` | `getNestedTypeCount()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `java.util.List<DescriptorProtos.DescriptorProto>` | `getNestedTypeList()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProtoOrBuilder` | `getNestedTypeOrBuilder(int index)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder>` | `getNestedTypeOrBuilderList()` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.OneofDescriptorProto` | `getOneofDecl(int index)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.OneofDescriptorProto.Builder` | `getOneofDeclBuilder(int index)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `java.util.List<DescriptorProtos.OneofDescriptorProto.Builder>` | `getOneofDeclBuilderList()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `int` | `getOneofDeclCount()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `java.util.List<DescriptorProtos.OneofDescriptorProto>` | `getOneofDeclList()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.OneofDescriptorProtoOrBuilder` | `getOneofDeclOrBuilder(int index)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `java.util.List<? extends DescriptorProtos.OneofDescriptorProtoOrBuilder>` | `getOneofDeclOrBuilderList()` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.MessageOptions` | `getOptions()` `optional .google.protobuf.MessageOptions options = 7;`
    `DescriptorProtos.MessageOptions.Builder` | `getOptionsBuilder()` `optional .google.protobuf.MessageOptions options = 7;`
    `DescriptorProtos.MessageOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.MessageOptions options = 7;`
    `java.lang.String` | `getReservedName(int index)` Reserved field names, which may not be used by fields in the same message.
    `ByteString` | `getReservedNameBytes(int index)` Reserved field names, which may not be used by fields in the same message.
    `int` | `getReservedNameCount()` Reserved field names, which may not be used by fields in the same message.
    `ProtocolStringList` | `getReservedNameList()` Reserved field names, which may not be used by fields in the same message.
    `DescriptorProtos.DescriptorProto.ReservedRange` | `getReservedRange(int index)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.ReservedRange.Builder` | `getReservedRangeBuilder(int index)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `java.util.List<DescriptorProtos.DescriptorProto.ReservedRange.Builder>` | `getReservedRangeBuilderList()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `int` | `getReservedRangeCount()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `java.util.List<DescriptorProtos.DescriptorProto.ReservedRange>` | `getReservedRangeList()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder` | `getReservedRangeOrBuilder(int index)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `java.util.List<? extends DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder>` | `getReservedRangeOrBuilderList()` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasOptions()` `optional .google.protobuf.MessageOptions options = 7;`
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.DescriptorProto.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.DescriptorProto.Builder` | `mergeFrom(DescriptorProtos.DescriptorProto other)`
    `DescriptorProtos.DescriptorProto.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.DescriptorProto.Builder` | `mergeOptions(DescriptorProtos.MessageOptions value)` `optional .google.protobuf.MessageOptions options = 7;`
    `DescriptorProtos.DescriptorProto.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.DescriptorProto.Builder` | `removeEnumType(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `removeExtension(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `removeExtensionRange(int index)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `removeField(int index)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `removeNestedType(int index)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `removeOneofDecl(int index)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `removeReservedRange(int index)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.Builder` | `setEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `setEnumType(int index, DescriptorProtos.EnumDescriptorProto value)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
    `DescriptorProtos.DescriptorProto.Builder` | `setExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `setExtension(int index, DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
    `DescriptorProtos.DescriptorProto.Builder` | `setExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `setExtensionRange(int index, DescriptorProtos.DescriptorProto.ExtensionRange value)` `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
    `DescriptorProtos.DescriptorProto.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.DescriptorProto.Builder` | `setField(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `setField(int index, DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto field = 2;`
    `DescriptorProtos.DescriptorProto.Builder` | `setName(java.lang.String value)` `optional string name = 1;`
    `DescriptorProtos.DescriptorProto.Builder` | `setNameBytes(ByteString value)` `optional string name = 1;`
    `DescriptorProtos.DescriptorProto.Builder` | `setNestedType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `setNestedType(int index, DescriptorProtos.DescriptorProto value)` `repeated .google.protobuf.DescriptorProto nested_type = 3;`
    `DescriptorProtos.DescriptorProto.Builder` | `setOneofDecl(int index, DescriptorProtos.OneofDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `setOneofDecl(int index, DescriptorProtos.OneofDescriptorProto value)` `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
    `DescriptorProtos.DescriptorProto.Builder` | `setOptions(DescriptorProtos.MessageOptions.Builder builderForValue)` `optional .google.protobuf.MessageOptions options = 7;`
    `DescriptorProtos.DescriptorProto.Builder` | `setOptions(DescriptorProtos.MessageOptions value)` `optional .google.protobuf.MessageOptions options = 7;`
    `DescriptorProtos.DescriptorProto.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.DescriptorProto.Builder` | `setReservedName(int index, java.lang.String value)` Reserved field names, which may not be used by fields in the same message.
    `DescriptorProtos.DescriptorProto.Builder` | `setReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.Builder` | `setReservedRange(int index, DescriptorProtos.DescriptorProto.ReservedRange value)` `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
    `DescriptorProtos.DescriptorProto.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### clear

          public DescriptorProtos.DescriptorProto.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.DescriptorProto getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.DescriptorProto build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.DescriptorProto buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.DescriptorProto.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.DescriptorProto.Builder setField(Descriptors.FieldDescriptor field,
                                                          java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### clearField

          public DescriptorProtos.DescriptorProto.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### clearOneof

          public DescriptorProtos.DescriptorProto.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.DescriptorProto.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                                  int index,
                                                                  java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.DescriptorProto.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                                  java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.DescriptorProto.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.DescriptorProto.Builder mergeFrom(DescriptorProtos.DescriptorProto other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.DescriptorProto.Builder mergeFrom(CodedInputStream input,
                                                           ExtensionRegistryLite extensionRegistry)
                                                             throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.DescriptorProto.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasName

          public boolean hasName()

      `optional string name = 1;`
      Specified by:
        `hasName` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getName

          public java.lang.String getName()

      `optional string name = 1;`
      Specified by:
        `getName` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getNameBytes

          public ByteString getNameBytes()

      `optional string name = 1;`
      Specified by:
        `getNameBytes` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setName

          public DescriptorProtos.DescriptorProto.Builder setName(java.lang.String value)

      `optional string name = 1;`

    - #### clearName

          public DescriptorProtos.DescriptorProto.Builder clearName()

      `optional string name = 1;`

    - #### setNameBytes

          public DescriptorProtos.DescriptorProto.Builder setNameBytes(ByteString value)

      `optional string name = 1;`

    - #### getFieldList

          public java.util.List<DescriptorProtos.FieldDescriptorProto> getFieldList()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`
      Specified by:
        `getFieldList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getFieldCount

          public int getFieldCount()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`
      Specified by:
        `getFieldCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getField

          public DescriptorProtos.FieldDescriptorProto getField(int index)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`
      Specified by:
        `getField` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setField

          public DescriptorProtos.DescriptorProto.Builder setField(int index,
                                                          DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### setField

          public DescriptorProtos.DescriptorProto.Builder setField(int index,
                                                          DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### addField

          public DescriptorProtos.DescriptorProto.Builder addField(DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### addField

          public DescriptorProtos.DescriptorProto.Builder addField(int index,
                                                          DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### addField

          public DescriptorProtos.DescriptorProto.Builder addField(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### addField

          public DescriptorProtos.DescriptorProto.Builder addField(int index,
                                                          DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### addAllField

          public DescriptorProtos.DescriptorProto.Builder addAllField(java.lang.Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### clearField

          public DescriptorProtos.DescriptorProto.Builder clearField()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### removeField

          public DescriptorProtos.DescriptorProto.Builder removeField(int index)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getFieldBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder getFieldBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getFieldOrBuilder

          public DescriptorProtos.FieldDescriptorProtoOrBuilder getFieldOrBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`
      Specified by:
        `getFieldOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getFieldOrBuilderList

          public java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getFieldOrBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`
      Specified by:
        `getFieldOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### addFieldBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder addFieldBuilder()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### addFieldBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder addFieldBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getFieldBuilderList

          public java.util.List<DescriptorProtos.FieldDescriptorProto.Builder> getFieldBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto field = 2;`

    - #### getExtensionList

          public java.util.List<DescriptorProtos.FieldDescriptorProto> getExtensionList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
      Specified by:
        `getExtensionList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getExtensionCount

          public int getExtensionCount()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
      Specified by:
        `getExtensionCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getExtension

          public DescriptorProtos.FieldDescriptorProto getExtension(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
      Specified by:
        `getExtension` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setExtension

          public DescriptorProtos.DescriptorProto.Builder setExtension(int index,
                                                              DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### setExtension

          public DescriptorProtos.DescriptorProto.Builder setExtension(int index,
                                                              DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### addExtension

          public DescriptorProtos.DescriptorProto.Builder addExtension(DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### addExtension

          public DescriptorProtos.DescriptorProto.Builder addExtension(int index,
                                                              DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### addExtension

          public DescriptorProtos.DescriptorProto.Builder addExtension(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### addExtension

          public DescriptorProtos.DescriptorProto.Builder addExtension(int index,
                                                              DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### addAllExtension

          public DescriptorProtos.DescriptorProto.Builder addAllExtension(java.lang.Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### clearExtension

          public DescriptorProtos.DescriptorProto.Builder clearExtension()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### removeExtension

          public DescriptorProtos.DescriptorProto.Builder removeExtension(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getExtensionBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder getExtensionBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getExtensionOrBuilder

          public DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
      Specified by:
        `getExtensionOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getExtensionOrBuilderList

          public java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`
      Specified by:
        `getExtensionOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### addExtensionBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder addExtensionBuilder()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### addExtensionBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder addExtensionBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getExtensionBuilderList

          public java.util.List<DescriptorProtos.FieldDescriptorProto.Builder> getExtensionBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 6;`

    - #### getNestedTypeList

          public java.util.List<DescriptorProtos.DescriptorProto> getNestedTypeList()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`
      Specified by:
        `getNestedTypeList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getNestedTypeCount

          public int getNestedTypeCount()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`
      Specified by:
        `getNestedTypeCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getNestedType

          public DescriptorProtos.DescriptorProto getNestedType(int index)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`
      Specified by:
        `getNestedType` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setNestedType

          public DescriptorProtos.DescriptorProto.Builder setNestedType(int index,
                                                               DescriptorProtos.DescriptorProto value)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### setNestedType

          public DescriptorProtos.DescriptorProto.Builder setNestedType(int index,
                                                               DescriptorProtos.DescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### addNestedType

          public DescriptorProtos.DescriptorProto.Builder addNestedType(DescriptorProtos.DescriptorProto value)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### addNestedType

          public DescriptorProtos.DescriptorProto.Builder addNestedType(int index,
                                                               DescriptorProtos.DescriptorProto value)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### addNestedType

          public DescriptorProtos.DescriptorProto.Builder addNestedType(DescriptorProtos.DescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### addNestedType

          public DescriptorProtos.DescriptorProto.Builder addNestedType(int index,
                                                               DescriptorProtos.DescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### addAllNestedType

          public DescriptorProtos.DescriptorProto.Builder addAllNestedType(java.lang.Iterable<? extends DescriptorProtos.DescriptorProto> values)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### clearNestedType

          public DescriptorProtos.DescriptorProto.Builder clearNestedType()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### removeNestedType

          public DescriptorProtos.DescriptorProto.Builder removeNestedType(int index)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getNestedTypeBuilder

          public DescriptorProtos.DescriptorProto.Builder getNestedTypeBuilder(int index)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getNestedTypeOrBuilder

          public DescriptorProtos.DescriptorProtoOrBuilder getNestedTypeOrBuilder(int index)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`
      Specified by:
        `getNestedTypeOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getNestedTypeOrBuilderList

          public java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getNestedTypeOrBuilderList()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`
      Specified by:
        `getNestedTypeOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### addNestedTypeBuilder

          public DescriptorProtos.DescriptorProto.Builder addNestedTypeBuilder()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### addNestedTypeBuilder

          public DescriptorProtos.DescriptorProto.Builder addNestedTypeBuilder(int index)

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getNestedTypeBuilderList

          public java.util.List<DescriptorProtos.DescriptorProto.Builder> getNestedTypeBuilderList()

      `repeated .google.protobuf.DescriptorProto nested_type = 3;`

    - #### getEnumTypeList

          public java.util.List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
      Specified by:
        `getEnumTypeList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getEnumTypeCount

          public int getEnumTypeCount()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
      Specified by:
        `getEnumTypeCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getEnumType

          public DescriptorProtos.EnumDescriptorProto getEnumType(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
      Specified by:
        `getEnumType` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setEnumType

          public DescriptorProtos.DescriptorProto.Builder setEnumType(int index,
                                                             DescriptorProtos.EnumDescriptorProto value)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### setEnumType

          public DescriptorProtos.DescriptorProto.Builder setEnumType(int index,
                                                             DescriptorProtos.EnumDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### addEnumType

          public DescriptorProtos.DescriptorProto.Builder addEnumType(DescriptorProtos.EnumDescriptorProto value)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### addEnumType

          public DescriptorProtos.DescriptorProto.Builder addEnumType(int index,
                                                             DescriptorProtos.EnumDescriptorProto value)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### addEnumType

          public DescriptorProtos.DescriptorProto.Builder addEnumType(DescriptorProtos.EnumDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### addEnumType

          public DescriptorProtos.DescriptorProto.Builder addEnumType(int index,
                                                             DescriptorProtos.EnumDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### addAllEnumType

          public DescriptorProtos.DescriptorProto.Builder addAllEnumType(java.lang.Iterable<? extends DescriptorProtos.EnumDescriptorProto> values)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### clearEnumType

          public DescriptorProtos.DescriptorProto.Builder clearEnumType()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### removeEnumType

          public DescriptorProtos.DescriptorProto.Builder removeEnumType(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getEnumTypeBuilder

          public DescriptorProtos.EnumDescriptorProto.Builder getEnumTypeBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getEnumTypeOrBuilder

          public DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
      Specified by:
        `getEnumTypeOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getEnumTypeOrBuilderList

          public java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`
      Specified by:
        `getEnumTypeOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### addEnumTypeBuilder

          public DescriptorProtos.EnumDescriptorProto.Builder addEnumTypeBuilder()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### addEnumTypeBuilder

          public DescriptorProtos.EnumDescriptorProto.Builder addEnumTypeBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getEnumTypeBuilderList

          public java.util.List<DescriptorProtos.EnumDescriptorProto.Builder> getEnumTypeBuilderList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 4;`

    - #### getExtensionRangeList

          public java.util.List<DescriptorProtos.DescriptorProto.ExtensionRange> getExtensionRangeList()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
      Specified by:
        `getExtensionRangeList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getExtensionRangeCount

          public int getExtensionRangeCount()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
      Specified by:
        `getExtensionRangeCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getExtensionRange

          public DescriptorProtos.DescriptorProto.ExtensionRange getExtensionRange(int index)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
      Specified by:
        `getExtensionRange` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setExtensionRange

          public DescriptorProtos.DescriptorProto.Builder setExtensionRange(int index,
                                                                   DescriptorProtos.DescriptorProto.ExtensionRange value)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### setExtensionRange

          public DescriptorProtos.DescriptorProto.Builder setExtensionRange(int index,
                                                                   DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### addExtensionRange

          public DescriptorProtos.DescriptorProto.Builder addExtensionRange(DescriptorProtos.DescriptorProto.ExtensionRange value)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### addExtensionRange

          public DescriptorProtos.DescriptorProto.Builder addExtensionRange(int index,
                                                                   DescriptorProtos.DescriptorProto.ExtensionRange value)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### addExtensionRange

          public DescriptorProtos.DescriptorProto.Builder addExtensionRange(DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### addExtensionRange

          public DescriptorProtos.DescriptorProto.Builder addExtensionRange(int index,
                                                                   DescriptorProtos.DescriptorProto.ExtensionRange.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### addAllExtensionRange

          public DescriptorProtos.DescriptorProto.Builder addAllExtensionRange(java.lang.Iterable<? extends DescriptorProtos.DescriptorProto.ExtensionRange> values)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### clearExtensionRange

          public DescriptorProtos.DescriptorProto.Builder clearExtensionRange()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### removeExtensionRange

          public DescriptorProtos.DescriptorProto.Builder removeExtensionRange(int index)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getExtensionRangeBuilder

          public DescriptorProtos.DescriptorProto.ExtensionRange.Builder getExtensionRangeBuilder(int index)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getExtensionRangeOrBuilder

          public DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder getExtensionRangeOrBuilder(int index)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
      Specified by:
        `getExtensionRangeOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getExtensionRangeOrBuilderList

          public java.util.List<? extends DescriptorProtos.DescriptorProto.ExtensionRangeOrBuilder> getExtensionRangeOrBuilderList()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`
      Specified by:
        `getExtensionRangeOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### addExtensionRangeBuilder

          public DescriptorProtos.DescriptorProto.ExtensionRange.Builder addExtensionRangeBuilder()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### addExtensionRangeBuilder

          public DescriptorProtos.DescriptorProto.ExtensionRange.Builder addExtensionRangeBuilder(int index)

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getExtensionRangeBuilderList

          public java.util.List<DescriptorProtos.DescriptorProto.ExtensionRange.Builder> getExtensionRangeBuilderList()

      `repeated .google.protobuf.DescriptorProto.ExtensionRange extension_range = 5;`

    - #### getOneofDeclList

          public java.util.List<DescriptorProtos.OneofDescriptorProto> getOneofDeclList()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
      Specified by:
        `getOneofDeclList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getOneofDeclCount

          public int getOneofDeclCount()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
      Specified by:
        `getOneofDeclCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getOneofDecl

          public DescriptorProtos.OneofDescriptorProto getOneofDecl(int index)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
      Specified by:
        `getOneofDecl` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setOneofDecl

          public DescriptorProtos.DescriptorProto.Builder setOneofDecl(int index,
                                                              DescriptorProtos.OneofDescriptorProto value)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### setOneofDecl

          public DescriptorProtos.DescriptorProto.Builder setOneofDecl(int index,
                                                              DescriptorProtos.OneofDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### addOneofDecl

          public DescriptorProtos.DescriptorProto.Builder addOneofDecl(DescriptorProtos.OneofDescriptorProto value)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### addOneofDecl

          public DescriptorProtos.DescriptorProto.Builder addOneofDecl(int index,
                                                              DescriptorProtos.OneofDescriptorProto value)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### addOneofDecl

          public DescriptorProtos.DescriptorProto.Builder addOneofDecl(DescriptorProtos.OneofDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### addOneofDecl

          public DescriptorProtos.DescriptorProto.Builder addOneofDecl(int index,
                                                              DescriptorProtos.OneofDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### addAllOneofDecl

          public DescriptorProtos.DescriptorProto.Builder addAllOneofDecl(java.lang.Iterable<? extends DescriptorProtos.OneofDescriptorProto> values)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### clearOneofDecl

          public DescriptorProtos.DescriptorProto.Builder clearOneofDecl()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### removeOneofDecl

          public DescriptorProtos.DescriptorProto.Builder removeOneofDecl(int index)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### getOneofDeclBuilder

          public DescriptorProtos.OneofDescriptorProto.Builder getOneofDeclBuilder(int index)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### getOneofDeclOrBuilder

          public DescriptorProtos.OneofDescriptorProtoOrBuilder getOneofDeclOrBuilder(int index)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
      Specified by:
        `getOneofDeclOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getOneofDeclOrBuilderList

          public java.util.List<? extends DescriptorProtos.OneofDescriptorProtoOrBuilder> getOneofDeclOrBuilderList()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`
      Specified by:
        `getOneofDeclOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### addOneofDeclBuilder

          public DescriptorProtos.OneofDescriptorProto.Builder addOneofDeclBuilder()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### addOneofDeclBuilder

          public DescriptorProtos.OneofDescriptorProto.Builder addOneofDeclBuilder(int index)

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### getOneofDeclBuilderList

          public java.util.List<DescriptorProtos.OneofDescriptorProto.Builder> getOneofDeclBuilderList()

      `repeated .google.protobuf.OneofDescriptorProto oneof_decl = 8;`

    - #### hasOptions

          public boolean hasOptions()

      `optional .google.protobuf.MessageOptions options = 7;`
      Specified by:
        `hasOptions` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getOptions

          public DescriptorProtos.MessageOptions getOptions()

      `optional .google.protobuf.MessageOptions options = 7;`
      Specified by:
        `getOptions` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setOptions

          public DescriptorProtos.DescriptorProto.Builder setOptions(DescriptorProtos.MessageOptions value)

      `optional .google.protobuf.MessageOptions options = 7;`

    - #### setOptions

          public DescriptorProtos.DescriptorProto.Builder setOptions(DescriptorProtos.MessageOptions.Builder builderForValue)

      `optional .google.protobuf.MessageOptions options = 7;`

    - #### mergeOptions

          public DescriptorProtos.DescriptorProto.Builder mergeOptions(DescriptorProtos.MessageOptions value)

      `optional .google.protobuf.MessageOptions options = 7;`

    - #### clearOptions

          public DescriptorProtos.DescriptorProto.Builder clearOptions()

      `optional .google.protobuf.MessageOptions options = 7;`

    - #### getOptionsBuilder

          public DescriptorProtos.MessageOptions.Builder getOptionsBuilder()

      `optional .google.protobuf.MessageOptions options = 7;`

    - #### getOptionsOrBuilder

          public DescriptorProtos.MessageOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.MessageOptions options = 7;`
      Specified by:
        `getOptionsOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getReservedRangeList

          public java.util.List<DescriptorProtos.DescriptorProto.ReservedRange> getReservedRangeList()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
      Specified by:
        `getReservedRangeList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getReservedRangeCount

          public int getReservedRangeCount()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
      Specified by:
        `getReservedRangeCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getReservedRange

          public DescriptorProtos.DescriptorProto.ReservedRange getReservedRange(int index)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
      Specified by:
        `getReservedRange` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setReservedRange

          public DescriptorProtos.DescriptorProto.Builder setReservedRange(int index,
                                                                  DescriptorProtos.DescriptorProto.ReservedRange value)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### setReservedRange

          public DescriptorProtos.DescriptorProto.Builder setReservedRange(int index,
                                                                  DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### addReservedRange

          public DescriptorProtos.DescriptorProto.Builder addReservedRange(DescriptorProtos.DescriptorProto.ReservedRange value)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### addReservedRange

          public DescriptorProtos.DescriptorProto.Builder addReservedRange(int index,
                                                                  DescriptorProtos.DescriptorProto.ReservedRange value)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### addReservedRange

          public DescriptorProtos.DescriptorProto.Builder addReservedRange(DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### addReservedRange

          public DescriptorProtos.DescriptorProto.Builder addReservedRange(int index,
                                                                  DescriptorProtos.DescriptorProto.ReservedRange.Builder builderForValue)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### addAllReservedRange

          public DescriptorProtos.DescriptorProto.Builder addAllReservedRange(java.lang.Iterable<? extends DescriptorProtos.DescriptorProto.ReservedRange> values)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### clearReservedRange

          public DescriptorProtos.DescriptorProto.Builder clearReservedRange()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### removeReservedRange

          public DescriptorProtos.DescriptorProto.Builder removeReservedRange(int index)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedRangeBuilder

          public DescriptorProtos.DescriptorProto.ReservedRange.Builder getReservedRangeBuilder(int index)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedRangeOrBuilder

          public DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder getReservedRangeOrBuilder(int index)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
      Specified by:
        `getReservedRangeOrBuilder` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getReservedRangeOrBuilderList

          public java.util.List<? extends DescriptorProtos.DescriptorProto.ReservedRangeOrBuilder> getReservedRangeOrBuilderList()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`
      Specified by:
        `getReservedRangeOrBuilderList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### addReservedRangeBuilder

          public DescriptorProtos.DescriptorProto.ReservedRange.Builder addReservedRangeBuilder()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### addReservedRangeBuilder

          public DescriptorProtos.DescriptorProto.ReservedRange.Builder addReservedRangeBuilder(int index)

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedRangeBuilderList

          public java.util.List<DescriptorProtos.DescriptorProto.ReservedRange.Builder> getReservedRangeBuilderList()

      `repeated .google.protobuf.DescriptorProto.ReservedRange reserved_range = 9;`

    - #### getReservedNameList

          public ProtocolStringList getReservedNameList()

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`
      Specified by:
        `getReservedNameList` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getReservedNameCount

          public int getReservedNameCount()

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`
      Specified by:
        `getReservedNameCount` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getReservedName

          public java.lang.String getReservedName(int index)

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`
      Specified by:
        `getReservedName` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### getReservedNameBytes

          public ByteString getReservedNameBytes(int index)

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`
      Specified by:
        `getReservedNameBytes` in interface `DescriptorProtos.DescriptorProtoOrBuilder`

    - #### setReservedName

          public DescriptorProtos.DescriptorProto.Builder setReservedName(int index,
                                                                 java.lang.String value)

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`

    - #### addReservedName

          public DescriptorProtos.DescriptorProto.Builder addReservedName(java.lang.String value)

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`

    - #### addAllReservedName

          public DescriptorProtos.DescriptorProto.Builder addAllReservedName(java.lang.Iterable<java.lang.String> values)

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`

    - #### clearReservedName

          public DescriptorProtos.DescriptorProto.Builder clearReservedName()

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`

    - #### addReservedNameBytes

          public DescriptorProtos.DescriptorProto.Builder addReservedNameBytes(ByteString value)

           Reserved field names, which may not be used by fields in the same message.
           A given name may only be reserved once.

      `repeated string reserved_name = 10;`

    - #### setUnknownFields

          public final DescriptorProtos.DescriptorProto.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.DescriptorProto.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.DescriptorProto.Builder>`